Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.xml
Class JRXmlLoader

    java.lang.Object
      net.sf.jasperreports.engine.xml.JRXmlLoader

    public class JRXmlLoader

extends java.lang.Object

Version:
  $Id: JRXmlLoader.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`JRXmlLoader(org.apache.commons.digester.Digester digester)`

Method Summary
`void` | `addError(java.lang.Exception e)`
`void` | `addGroupEvaluatedChart(JRDesignChart chart)`
`void` | `addGroupEvaluatedImage(JRDesignImage image)`
`void` | `addGroupEvaluatedTextField(JRDesignTextField textField)`
`void` | `addGroupReference(XmlGroupReference reference)`
`void` | `addGroupReprintedElement(JRDesignElement element)`
`java.util.Set` | `getGroupBoundDatasets()`
`XmlLoaderReportContext` | `getReportContext()`
`boolean` | `isIgnoreConsistencyProblems()` Returns true if the loader is set to ignore consistency problems
`static JasperDesign` | `load(java.io.File file)`
`static JasperDesign` | `load(java.io.InputStream is)`
`static JasperDesign` | `load(java.lang.String sourceFileName)`
`JasperDesign` | `loadXML(org.xml.sax.InputSource is)`
`JasperDesign` | `loadXML(java.io.InputStream is)`
`XmlLoaderReportContext` | `popReportContext()`
`void` | `pushReportContext(XmlLoaderReportContext context)`
`protected JRGroup` | `resolveGroup(java.lang.String groupName, XmlLoaderReportContext context)`
`void` | `setIgnoreConsistencyProblems(boolean ignoreConsistencyProblems)` Allows to enable or disable the reporting of consistency problems.
`void` | `setJasperDesign(JasperDesign jasperDesign)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRXmlLoader

    public JRXmlLoader(org.apache.commons.digester.Digester digester)

Method Detail

### setJasperDesign

    public void setJasperDesign(JasperDesign jasperDesign)

### addGroupReference

    public void addGroupReference(XmlGroupReference reference)

### addGroupReprintedElement

    public void addGroupReprintedElement(JRDesignElement element)

### addGroupEvaluatedImage

    public void addGroupEvaluatedImage(JRDesignImage image)

### addGroupEvaluatedTextField

    public void addGroupEvaluatedTextField(JRDesignTextField textField)

### addGroupEvaluatedChart

    public void addGroupEvaluatedChart(JRDesignChart chart)

### getGroupBoundDatasets

    public java.util.Set getGroupBoundDatasets()

### load

    public static JasperDesign load(java.lang.String sourceFileName)
                             throws JRException

  Throws:
    `JRException`

### load

    public static JasperDesign load(java.io.File file)
                             throws JRException

  Throws:
    `JRException`

### load

    public static JasperDesign load(java.io.InputStream is)
                             throws JRException

  Throws:
    `JRException`

### loadXML

    public JasperDesign loadXML(java.io.InputStream is)
                         throws JRException

  Throws:
    `JRException`

### loadXML

    public JasperDesign loadXML(org.xml.sax.InputSource is)
                         throws JRException

  Throws:
    `JRException`

### resolveGroup

    protected JRGroup resolveGroup(java.lang.String groupName,
                                   XmlLoaderReportContext context)

### addError

    public void addError(java.lang.Exception e)

### isIgnoreConsistencyProblems

    public boolean isIgnoreConsistencyProblems()

  Returns true if the loader is set to ignore consistency problems

  Returns:
    the ignoreConsistencyProblems flag.

### setIgnoreConsistencyProblems

    public void setIgnoreConsistencyProblems(boolean ignoreConsistencyProblems)

  Allows to enable or disable the reporting of consistency problems. Consistency problems are problems in the logical structure of the report such as references to missing groups and fonts.

  Parameters:
    `ignoreConsistencyProblems` - The ignoreConsistencyProblems value to set.

### pushReportContext

    public void pushReportContext(XmlLoaderReportContext context)

### popReportContext

    public XmlLoaderReportContext popReportContext()

### getReportContext

    public XmlLoaderReportContext getReportContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com